// POV-RAY 3.0 Include File
// 
// FILE : TIMELESS.INC
//

// *******  T E X T U R E S  *******


#declare lace =    texture { // laceL1
     pigment {
       marble
       color_map {
         [ 0.000  color rgbf<0.000, 0.000, 0.000, 1.000> ]
         [ 1.000  color rgb<1.000, 1.000, 1.000> ]
       }
       phase 0.200
     }
     finish {
       diffuse 0.400
       ambient 0.200
       phong_size 20.000
       specular 0.400
       roughness 0.0200
     }

   }

   texture { // laceL2
     pigment {
       marble
       color_map {
         [ 0.000  color rgbf<0.000, 0.000, 0.000, 1.000> ]
         [ 1.000  color rgb<1.000, 1.000, 1.000> ]
       }
       phase 0.200
       rotate    <0.0000, 0.0000, 80.0000>
     }
     finish {
       diffuse 0.400
       ambient 0.200
       phong_size 20.000
       specular 0.400
       roughness 0.0200
     }

   }



#declare wall_texture =    texture { // wall_textureL1
     pigment {
       color rgb<0.000, 0.333, 0.000>
     }
     finish {
       diffuse 0.400
       ambient 0.200
       phong_size 1.000
       specular 0.400
       roughness 0.0200
       brilliance 0.470
     }

   }

   texture { // wall_textureL2
     pigment {
       marble
       color_map {
         [ 0.000  color rgbf<0.000, 0.000, 0.000, 1.000> ]
         [ 1.000  color rgb<0.859, 0.859, 0.439> ]
       }
     }
     finish {
       diffuse 0.400
       ambient 0.200
       phong_size 1.000
       specular 0.400
       roughness 0.0200
       brilliance 0.470
     }
     scale 0.05    // Bring the golden lines closer together
   }



#declare mywood = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.280, 0.086, 0.000> ]
       [ 1.000  color rgb<0.457, 0.251, 0.157> ]
     }
     turbulence 0.100
     phase 0.100
   }
   finish {
     diffuse 0.400
     ambient 0.200
     phong_size 20.000
     specular 0.400
     roughness 0.0200
   }

}



#declare Polished_Chro1 = texture {
   pigment {
     color rgb<0.200, 0.200, 0.200>
   }
   finish {
     diffuse 0.700
     phong 0.800
     phong_size 120.000
     reflection 1.000
     refraction 1
     roughness 0.0500
     brilliance 6.000
   }

}



#declare Silver3 = texture {
   pigment {
     color rgb<0.940, 0.930, 0.830>
   }
   finish {
     diffuse 0.650
     ambient 0.250
     phong 1.000
     phong_size 100.000
     reflection 0.450
     roughness 0.0500
     brilliance 6.000
   }

}



#declare bedspread_tex = texture {
   pigment {
     color rgb<0.000, 0.368, 0.260>
   }
   normal {
     wrinkles 1.0000
     turbulence 0.425
   }
   finish {
     diffuse 0.400
     ambient 0.450
     phong_size 20.000
     specular 0.400
     roughness 0.0200
   }

}



#declare Dark_Wood2 = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.429, 0.238, 0.048> ]
       [ 0.800  color rgb<0.429, 0.238, 0.048> ]
       [ 0.800  color rgb<0.400, 0.333, 0.066> ]
       [ 1.000  color rgb<0.200, 0.033, 0.033> ]
     }
     turbulence 0.200
   }
   finish {
     roughness 0.0500
   }

}



#declare Polished_Bras1 = texture {
   pigment {
     color rgb<0.578, 0.422, 0.195>
   }
   finish {
     diffuse 0.800
     phong 0.800
     phong_size 120.000
     reflection 0.400
     roughness 0.0500
     brilliance 6.000
   }

}



#declare Brass_Metal1 = texture {
   pigment {
     color rgb<0.710, 0.650, 0.260>
   }
   finish {
     diffuse 0.700
     ambient 0.200
     phong 0.750
     phong_size 80.000
     reflection 0.250
     roughness 0.0500
     brilliance 6.000
   }

}



#declare DMFWood2 = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.600, 0.300, 0.180> ]
       [ 0.100  color rgb<0.600, 0.300, 0.180> ]
       [ 0.900  color rgb<0.300, 0.150, 0.090> ]
       [ 1.000  color rgb<0.300, 0.150, 0.090> ]
     }
     turbulence 0.040
     octaves 3
     scale     <0.0500, 0.0500, 1.0000>
   }
   finish {
     roughness 0.0500
   }

}



#declare White_Wood1 = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.930, 0.710, 0.532> ]
       [ 0.800  color rgb<0.980, 0.810, 0.600> ]
       [ 0.800  color rgb<0.600, 0.333, 0.266> ]
       [ 1.000  color rgb<0.700, 0.600, 0.230> ]
     }
     turbulence 0.600
   }
   finish {
     roughness 0.0500
   }

}



#declare DMFDarkOak1 = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.600, 0.300, 0.180> ]
       [ 0.100  color rgb<0.600, 0.300, 0.180> ]
       [ 0.900  color rgb<0.300, 0.150, 0.090> ]
       [ 1.000  color rgb<0.300, 0.150, 0.090> ]
     }
     turbulence 0.040
     octaves 3
     scale     <0.2000, 0.2000, 1.0000>
   }
   finish {
     roughness 0.0500
   }

}



#declare DMFLightOak1 = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.420, 0.260, 0.150> ]
       [ 0.100  color rgb<0.420, 0.260, 0.150> ]
       [ 0.900  color rgb<0.520, 0.370, 0.260> ]
       [ 1.000  color rgb<0.520, 0.370, 0.260> ]
     }
     turbulence 0.050
     scale     <0.2000, 0.2000, 1.0000>
   }
   finish {
     roughness 0.0500
   }

}



#declare Tom_Wood1 = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.700, 0.300, 0.000> ]
       [ 0.800  color rgb<0.700, 0.300, 0.000> ]
       [ 0.800  color rgb<0.500, 0.200, 0.000> ]
       [ 1.000  color rgb<0.400, 0.100, 0.000> ]
     }
     turbulence 0.310
   }
   finish {
     roughness 0.0500
   }

}



#declare Glass1 = texture {
   pigment {
     color rgbf<1.000, 1.000, 1.000, 0.700>
   }
   finish {
     diffuse 0.000
     ambient 0.000
     reflection 0.100
     refraction 1
     ior 1.500
     specular 1.000
     roughness 0.0010
   }

}



#declare Pict_Texture = texture {
   pigment {
     image_map {
       gif "C:\RENDER\MORAY20\MDL\ROCKIES.GIF"
       once
       map_type 0  // Planar
     }
   }
   finish {
     diffuse 0.400
     ambient 0.200
     phong_size 20.000
     specular 0.400
     roughness 0.0200
   }

}



#declare lamp_tex = texture {
   pigment {
     marble
     color_map {
       [ 0.000  color rgbf<0.392, 0.134, 0.308, 0.601> ]
       [ 1.000  color rgbf<0.859, 0.859, 0.439, 0.601> ]
     }
     scale     <0.3000, 0.3000, 0.3000>
     rotate    <0.0000, 30.0000, 0.0000>
   }
   finish {
     diffuse 0.400
     ambient 0.200
     phong_size 20.000
     specular 0.400
     roughness 0.0200
     brilliance 0.530
   }

}



#declare Dark_Wood1 = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.429, 0.238, 0.048> ]
       [ 0.800  color rgb<0.429, 0.238, 0.048> ]
       [ 0.800  color rgb<0.400, 0.333, 0.066> ]
       [ 1.000  color rgb<0.200, 0.033, 0.033> ]
     }
     turbulence 0.200
   }
   finish {
     roughness 0.0500
   }

}



#declare quilt_tex = texture {
   pigment {
     image_map {
       gif "C:\RENDER\MORAY20\POVSCN\QUILTMAP.GIF"
       once
       map_type 0     // Planar
       interpolate 2  // Bilinear (2)
     }
   }
   normal {
     quilted 0.7
     control0 1
     control1 1
     scale 0.5
   }
}



#declare ceiling_tex = texture {
   pigment {
     color rgb<0.893, 0.893, 0.893>
   }
   finish {
     diffuse 0.400
     ambient 0.150
     phong_size 1.000
     specular 0.400
     roughness 0.0200
     brilliance 0.820
   }

}

